/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataSets;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
* Restful接口--新增资源--数据传输对象：数据集环境关联表
*
* createdate:  2023-08-23 17:55:51  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据集环境关联表")
public class DataSetEnvRelAddDto implements Serializable
{
    @ApiModelProperty("系统id")
    private String proId;
    @ApiModelProperty("数据集id")
    private String dataSetId;
    @ApiModelProperty("")
    private List<DataSetEnvRelAddTmpDto> dataSetEnvRelAddTmpDto;

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }

    public String getDataSetId() {
        return dataSetId;
    }

    public void setDataSetId(String dataSetId) {
        this.dataSetId = dataSetId;
    }

    public List<DataSetEnvRelAddTmpDto> getDataSetEnvRelAddTmpDto() {
        return dataSetEnvRelAddTmpDto;
    }

    public void setDataSetEnvRelAddTmpDto(List<DataSetEnvRelAddTmpDto> dataSetEnvRelAddTmpDto) {
        this.dataSetEnvRelAddTmpDto = dataSetEnvRelAddTmpDto;
    }
}